export class SignBackground {
    private readonly root: HTMLElement;
    private readonly preventClicks: boolean;

    constructor (preventClicks: boolean) {
        require("../style/background.css");
        this.root = document.createElement('DIV');
        this.root.classList.add('sign-background');
        this.preventClicks = preventClicks;
        document.body.appendChild(this.root);
    }

    public show (): void {
        if (this.preventClicks) {
            this.root.classList.add('sign-background-prevent');
        }
    }

    public hide (): void {
        if (this.preventClicks) {
            this.root.classList.remove('sign-background-prevent');
        }
    }
}
